Face Extraction API
Introduction
This API is used to identify the face by extracting it from the passport.
How to call the API
Before going for Auto reading calls, you first need to create an Identity object. Need to pass accessToken and itemid obtained from identity call along with other input parameters
API Input Guidelines
- Need to put URL of the front image
Step 1: Hit Identities API
Sample cURL
curl --location --request POST
'https://preproduction.signzy.tech/api/v2/patrons/<Patron> ID>/identities' \
--header 'Connection: keep-alive' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--header 'Accept-Language: en-GB,en-US;q=0.9,en;q=0.8' \
--data-raw '{
"type": "<Type of Identity>",
"email": "<email Id>",
"callbackUrl": "<call back Url>",
"essentials": {<images Url>}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
Content-Type | Required | application/json |
type | Required | Type of identity |
Required | e-mail ID | |
callbackurl | Required | URL where response will be posted |
essentials.images | Required | Front image of passport |
Sample Response
{
"type": "passport",
"email": "[email protected]",
"callbackUrl": "",
"images": [],
"accessToken": "",
"autoRecognition": [],
"verification": [],
"forgeryCheck": [],
"id": "",
"patronId": ""
}Response Parameter
Parameter Name | Description |
|---|---|
type | Type of identity |
e-mail ID | |
callbackUrl | URL where response will be posted |
images | Url of front image of the passport |
accessToken | This is provided by identities API |
autoRecognition | Auto recognises text from upload image |
verification | verification is done |
forgeryCheck | Forgery check is done |
id | Unique user id |
patronId | Unique patron id |
Step 2: Hit Snoops API and receives a response
Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/snoops' \
--header 'content-type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"service": "Identity",
"itemId": "",
"accessToken": "",
"task": "faceExtraction",
"essentials": {
"url": " "
}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
content-type | Required | application/json |
service | Required | Type of Signzy service - “identity extraction” |
itemId | Required | Contains the identity item id |
accessToken | Required | This is provided by the identities API |
task | Required | Task should be faceExtraction |
essentials | Required | Contains the essential intput data |
essentials.url | Required | url link to the image |
Sample API Response
{
"service": "Identity",
"itemId": "..<item id number>..",
"task": "faceExtraction",
"essentials": {
"url": "frontImage.jpg"
},
"accessToken": "",
"id": "",
"response": {
"url": "frontImage.jpg",
"ttl": "10 mins",
"id": 28,
"result": {
"cropped": "image.png"
}
}
}
Output Parameters
Parameter Name | Description |
|---|---|
service | Type of Signzy service - “identity extraction” |
itemId | Contains the identity item id |
task | The type of task performed - “Auto Recognition” |
essentials.url | Contains the url of front image |
accessToken | Contains the access token that was received from identity request |
id | Contains the unique Id of the snoop request |
response.url | Contains Url of the ID |
response.ttl | Time to live (validity) of the image URL |
response.id | ID of the response |
response.result.cropped | Shows the cropped image |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].